<template>
	<div class="info-box" v-on:click="$emit('clicked')">
		<svg xmlns="http://www.w3.org/2000/svg" height="36" width="160">
			<polygon points="0.5,17.5 17.5,0.5 142,0.5 159.5,18 142,34.5  17.5,34.5" :stroke="color" stroke-width="1" />
		</svg>

		<div class="text" :style="{color : color}">{{text}}</div>
	</div>
</template>


<script>
	export default {
		props: ['text', 'color']
	}
</script>


<style lang="scss" scoped>
	.info-box{    
		display: inline-flex;
		position: relative;
		padding: 0 20px;
		text-transform: uppercase;
		text-align: center;
		font-size: 1.25em;
		line-height: 22px;
		height: 35px;
		width: 160px;
		justify-content: center;
		align-items: center;
		
		svg{
			position: absolute;
			left: 0;
			right: 0;
			top: 0;
			bottom: 0;
			z-index: 0;
		}
		
		.text{
			white-space: nowrap;
			z-index: 1;
		}
	}
</style>








